OCAMLIFY(1)

NAME

ocamlify - create an OCaml file including other files.

SYNOPSIS

ocamlify [options] option-file

DESCRIPTION

This program allows to copy files inside OCaml code. It uses a first file that describes the other files that must be included and the type of OCaml variable it should create. It can also describe dependencies to other files, in order to generate .depends files for make.

For example, we can create a file test.mlify with this content:

      VarString oasissys_ml "OASISSys.ml"
      VarStringList readme_template_mkd "MANUAL-template.mkd"

We then translate it using the program:

      $> ocamlify --output test.ml test.mlify

And we get a file test.ml containing two OCaml variables: oasissys_ml, which is a string, and readme_template_mkd which is a string list (one string per line).

OPTIONS

--var-string-list varname file
    Include file as a list of string, each string representing a line (without trailing EOL character)

--var-string varname file
    Include file as a string.

--output file
    Output file, default to standard output

--depends
    Output file dependencies

--target file
    Define target of dependencies

-help|--help
    Display list of options

AUTHORS
Sylvain Le Gall.